Bug 491130 - Trying to create PV guest kickstart on Satellite 5.3.0, message implies that spacewalk-koan should be in RHEL (base) channel
Trying to create PV guest kickstart on Satellite 5.3.0, message implies that ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Partha Aji
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-03-19 11:02 EDT by Jan Pazdziora
Modified: 2009-09-10 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-03-19 11:02:00 EDT
Description of problem:

I've tried to create a para-virt Xen guest kickstart for RHEL 5.3 on
Satellite 5.3.0. The Satellite had RHEL 5, RHEL 5 VT, and RHN Tools channels synced from hosted (not webqa), via export.

I got the following message in blue oval:

        This kickstart profile uses a base channel that is missing
        packages. In order for all kickstart functionality to work
        correctly, the following packages should be present in this
        kickstart's base channel: pyOpenSSL, rhnlib, libxml2-python,
        spacewalk-koan*.

The second sentence seems to imply that these packages are expected in kickstart's base channel == RHEL 5 channel. That does not seem to be the case, at least for spacewalk-koan.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090306.2 on i386

How reproducible:

Deterministic.

Steps to Reproduce:
1. Create para-virt Xen guest kickstart for RHEL 5.3 on Satellite synced from hosted (not webqa).
  
Actual results:

The kickstart pages (like /rhn/kickstart/KickstartDetailsEdit.do?ksid=1) will have the following message in blue:

        This kickstart profile uses a base channel that is missing
        packages. In order for all kickstart functionality to work
        correctly, the following packages should be present in this
        kickstart's base channel: pyOpenSSL, rhnlib, libxml2-python,
        spacewalk-koan*.

Expected results:

The message should not imply that spacewalk-koan is to be found in RHEL 5 channel when in fact it is in RHN Tools channel.

Additional info:

When I've re-registered the Satellite 5.3.0 to webqa and synced RHN Tools channel and spacewalk-koan, the message went away. Still, the error message should not be misleading, if it's to be used to fix the problem.

Also see thread on http://post-office.corp.redhat.com/archives/satellite-devel-list/2009-March/msg00212.html
Comment 1 Brandon Perkins 2009-03-19 11:21:39 EDT
Text needs to be fixed along the lines of "this package is not available in any channels this system is subscribed to"
Comment 2 Partha Aji 2009-04-14 18:59:31 EDT
Should be fixed in 
http://git.fedorahosted.org/git/spacewalk.git?p=spacewalk.git;a=commit;h=1a7597622d1edfaf4fd2f5a850f5a412d0f47b54

changed the message to 
The following packages are not available in any of the channels associated to this kickstart profile: pyOpenSSL, rhnlib, libxml2-python,spacewalk-koan*. In order for all kickstart functionality to work correctly, these packages should be present in at least one channel associated to this profile.
Comment 3 Partha Aji 2009-04-22 13:42:01 EDT
moving to On_QA
Comment 5 Partha Aji 2009-05-20 10:23:49 EDT
Moving to ON_QA
Comment 6 Steve Salevan 2009-06-02 16:11:16 EDT
VERIFIED on 5/21 ISO.
Comment 7 Brad Buckingham 2009-07-29 14:05:32 EDT
Satellite-5.3.0-RHEL5-re20090724.0-i386-embedded-oracle.iso

Moving to RELEASE_PENDING.
Comment 8 Brandon Perkins 2009-09-10 15:24:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.